net.sf.statsvn.output

## Class SvnCommandLineParser

- java.lang.Object
- - net.sf.statcvs.output.CommandLineParser
  - - net.sf.statsvn.output.SvnCommandLineParser

-     public class SvnCommandLineParser
      extends net.sf.statcvs.output.CommandLineParser

  Takes a command line, like given to the `Main.main(java.lang.String[])` method, and turns it into a `ConfigurationOptions` object.
  Version:
    $Id: SvnCommandLineParser.java,v 1.16 2005/03/20 19:12:25 squig Exp $
  Author:
    Richard Cyganiak

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SvnCommandLineParser(java.lang.String[] args)` Constructor for SvnCommandLineParser

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `checkForRequiredArgs()`
    `protected boolean` | `doChildrenSwitch(java.lang.String switchName)`

    - ### Methods inherited from class net.sf.statcvs.output.CommandLineParser

      `getArgCount, isArgsEmpty, parse, parseSwitch, popNextArg`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SvnCommandLineParser

          public SvnCommandLineParser(java.lang.String[] args)

      Constructor for SvnCommandLineParser
      Parameters:
        `args` - the command line parameters

  - ### Method Detail

    - #### doChildrenSwitch

          protected boolean doChildrenSwitch(java.lang.String switchName)
                                      throws net.sf.statcvs.output.ConfigurationException

      Overrides:
        `doChildrenSwitch` in class `net.sf.statcvs.output.CommandLineParser`
      Throws:
        `net.sf.statcvs.output.ConfigurationException`

    - #### checkForRequiredArgs

          protected void checkForRequiredArgs()
                                       throws net.sf.statcvs.output.ConfigurationException

      Overrides:
        `checkForRequiredArgs` in class `net.sf.statcvs.output.CommandLineParser`
      Throws:
        `net.sf.statcvs.output.ConfigurationException`